Undo a repost
curl --request DELETE \
--url https://api.crevio.co/v1/socials/twitter/retweets/{tweet_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.crevio.co/v1/socials/twitter/retweets/{tweet_id}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.crevio.co/v1/socials/twitter/retweets/{tweet_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tweet_id": "<string>",
"retweeted": true
}{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}{
"error": {
"type": "api_error",
"message": "<string>",
"code": "<string>",
"param": "<string>",
"errors": {}
}
}{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}{
"error": {
"type": "invalid_request_error",
"code": "rate_limit_exceeded",
"message": "Too many requests. Please retry later."
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}Social
Undo a repost
Removes the connected X account’s repost of a post.
DELETE
/
socials
/
twitter
/
retweets
/
{tweet_id}
Undo a repost
Authorizations
API key in the format: Bearer {api_token}
Path Parameters
Numeric id of the originally reposted X post.
Query Parameters
Connected X account to act as (sacct_ prefix id). Optional: a platform connects once per account, so the X account is resolved automatically.
Was this page helpful?

